> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all sync jobs

> Get all sync jobs for a connection.



## OpenAPI

````yaml get /api/connect/connection-sync-jobs
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/connection-sync-jobs:
    get:
      tags:
        - graphite-connect
      summary: Get all sync jobs
      description: Get all sync jobs for a connection.
      parameters:
        - schema:
            type: string
            enum:
              - zendesk_support
              - notion
              - confluence
              - shopify
              - gitbook
          in: query
          name: source_type
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListConnectionSyncJobsResponse'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListConnectionSyncJobsResponse:
      type: object
      properties:
        previous:
          type: string
        next:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              jobId:
                type: number
              status:
                type: string
              jobType:
                type: string
              startTime:
                type: number
              connectionId:
                type: string
              lastUpdatedAt:
                type: number
              duration:
                type: number
              bytesSynced:
                type: number
              rowsSynced:
                type: number
            required:
              - jobId
              - status
              - jobType
              - startTime
              - connectionId
              - lastUpdatedAt
              - duration
              - bytesSynced
              - rowsSynced
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````